## qutim 0.2.80-maemo-6

=== core/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6 FATAL_ERROR)
IF (COMMAND cmake_policy)
	cmake_policy (SET CMP0003 NEW)
ENDIF (COMMAND cmake_policy)
PROJECT( qutim )

set(CMAKE_QUTIM_VERSION_MAJOR    0  CACHE INT "Major qutIM version number" FORCE)
set(CMAKE_QUTIM_VERSION_MINOR    2  CACHE INT "Minor qutIM version number" FORCE)
set(CMAKE_QUTIM_VERSION_SECMINOR 80 CACHE INT "Secminor qutIM version number" FORCE)
set(CMAKE_QUTIM_VERSION_PATCH    0  CACHE INT "Release qutIM version number" FORCE)
set(CMAKE_QUTIM_VERSION_STRING "${CMAKE_QUTIM_VERSION_MAJOR}.${CMAKE_QUTIM_VERSION_MINOR}.${CMAKE_QUTIM_VERSION_SECMINOR}.${CMAKE_QUTIM_VERSION_PATCH}" CACHE STRING "qutIM version string" FORCE)

ADD_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

if( UNIX )
	if( BSD )
		SET( CMAKE_THREAD_LIBS -pthread )
		SET( CMAKE_USE_PTHREADS ON )
		SET( CMAKE_EXE_LINKER_FLAGS -pthread )
	endif( BSD )
endif( UNIX )

SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
SET (CMAKE_BUILD_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
SET (QT_USE_QTNETWORK true)
SET (QT_USE_QTXML true)
SET (QT_USE_QTSCRIPT true)

SET (QUTIM_PLUGINS_DEST "lib/qutim/")
FIND_PACKAGE (Qt4 REQUIRED)

INCLUDE(CPackOptions.cmake.in)
INCLUDE(UseQt4)
INCLUDE(MacroEnsureVersion)
INCLUDE(QutIMMacros)

#simple hack for include dirs
macro(LIST_SUBDIRECTORIES retval curdir)
	file(GLOB sub-dir RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${curdir}/*)
	set(list_of_dirs "")
	foreach(dir ${sub-dir})
		#TODO fix IS DIRECTORY macro
		if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir})
			message(STATUS "Found 3rdparty dir: ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir}")
		endif()
	endforeach()
	set(${retval} ${sub-dir})
endmacro()

LIST_SUBDIRECTORIES(3RDPARTY_INCLUDE_DIRS "3rdparty")

#Include X11, spike for freebsd
FIND_PACKAGE(X11)

INCLUDE_DIRECTORIES (.
	..
	../3rdparty
	src
	${CMAKE_CURRENT_BINARY_DIR}
	include
	${QT_QTGUI_INCLUDE_DIR}
	${QT_QTCORE_INCLUDE_DIR}
	${QT_QTXML_INCLUDE_DIR}	
	${3RDPARTY_INCLUDE_DIRS}
	${X11_INCLUDE_DIR}		
	)

if( WIN32 )
	list(APPEND QUTIM_LIBS secur32 )
endif( WIN32 )

file( GLOB HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h" )
file( GLOB SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp" )
file( GLOB SOURCES_MM RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.mm" )
list( APPEND SOURCE SOURCE_MM} )
file( GLOB FORMS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.ui" )
list( APPEND SOURCES "main.cpp" )

SET (RESOURCES
	qutim.qrc
	)

#TODO fix in future
if (MINGW)
	find_program( MINGW_WINDRES NAMES "mingw32-windres" "windres" )
	execute_process( COMMAND "${MINGW_WINDRES}"
		"-i" "${CMAKE_CURRENT_SOURCE_DIR}/qutim.rc" "-o" "${CMAKE_CURRENT_BINARY_DIR}/qutim_res.o" )
	LIST (APPEND SOURCES qutim_res.o)
else(MINGW)
	LIST (APPEND SOURCES qutim.rc)
endif(MINGW)

add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/libqutim/" "${CMAKE_CURRENT_BINARY_DIR}/libqutim")

find_package( QutIM REQUIRED )
include_directories( ${QUTIM_INCLUDE_DIR} "${CMAKE_CURRENT_BINARY_DIR}/libqutim/include/qutim_hook" )

REMOVE_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

set( QUTIM_PATH ${CMAKE_CURRENT_SOURCE_DIR} CACHE FILEPATH "Path to qutim sources")
set( QUTIM_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR} CACHE FILEPATH "Path to qutim build directory")
option( QUTIM_COPY_PLUGINS_TO_BINARY_DIR "Copy plugins to qutim build directory" OFF )
set( QUTIM_LIBRARIES libqutim )

# For Apple set the icns file containing icons
IF(APPLE)
	# set how it shows up in the Info.plist file
	SET(MACOSX_BUNDLE_ICON_FILE qutim.icns)
	SET(MACOSX_BUNDLE_INFO_STRING "Module based instant messenger")
	SET(MACOSX_BUNDLE_LONG_VERSION_STRING "0.3 beta (0.2.80)")
	SET(MACOSX_BUNDLE_BUNDLE_NAME "qutIM")
	SET(MACOSX_BUNDLE_BUNDLE_VERSION "0.3 beta")
	# set where in the bundle to put the icns file
	SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
	# include the icns file in the target
	SET(SOURCES ${SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns)
	GET_FILENAME_COMPONENT(qt_lib_path ${QT_QTGUI_LIBRARY_RELEASE} PATH)
	find_path(qtmenu_nib_path NAMES "classes.nib" "info.nib"  PATHS "${QT_QTGUI_LIBRARY_RELEASE}/Resources/qt_menu.nib"
		"${qt_lib_path}/Resources/qt_menu.nib"
	)
	set(qt_menu_nib_sources "${qtmenu_nib_path}/classes.nib" "${qtmenu_nib_path}/info.nib" "${qtmenu_nib_path}/keyedobjects.nib" )
	SET_SOURCE_FILES_PROPERTIES(${qt_menu_nib_sources} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/qt_menu.nib)
	SET(SOURCES ${SOURCES} ${qt_menu_nib_sources})
ENDIF(APPLE)

IF (APPLE)
	IF (${CMAKE_GENERATOR} MATCHES "Unix Makefiles")
		set (QUTIM_BUNDLE_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/qutim.app")
		add_custom_target(qutim-bundle ALL)
		add_dependencies(qutim-bundle qutim translations)
	ELSE(${CMAKE_GENERATOR} MATCHES "Unix Makefiles")
		message (WARNING "You have to use Unix Makefiles generator to automatically bundle deploying")
		set (QUTIM_BUNDLE_LOCATION "")
	ENDIF(${CMAKE_GENERATOR} MATCHES "Unix Makefiles")
ENDIF(APPLE)

#additional resources path
set (QUTIM_ADDITIONAL_RESOURCES_PATH "" CACHE PATH "Path to additional resources")

set( QUTIM_ADDITIONAL_SOURCES "" CACHE INTERNAL "" FORCE )
set( QUTIM_ADDITIONAL_LIBRARIES "" CACHE INTERNAL "" FORCE )
set( QUTIM_ADDITIONAL_RCC ${QUTIM_ADDITIONAL_RESOURCES_PATH} CACHE INTERNAL "" FORCE )

add_subdirectory(src/corelayers)
foreach( additional_path ${QUTIM_ADDITIONAL_PATHS} )
	add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/../${additional_path}/" "${CMAKE_CURRENT_BINARY_DIR}/../${additional_path}" )
endforeach( additional_path ${QUTIM_ADDITIONAL_PATHS} )

message(STATUS ${QUTIM_ADDITIONAL_RCC})
list(APPEND RESOURCES ${QUTIM_ADDITIONAL_RCC})

QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCC ${RESOURCES})

#QUTIM_ADD_OPTION(QUTIM_MOBILE_UI
#	"User interface for mobile devices like Nokia 5800"
#	"qutIM will be compiled with mobile ui"
#	OFF
#)

QUTIM_ADD_OPTION(QUTIM_SINGLE_PROFILE
	"Single profil by default" 
	"qutIM will be compiled without multiply profiles by default"
	ON
)
IF (APPLE)
	set (DEFAULT_QUTIM_GUI_TYPE "MACOSX_BUNDLE")
	IF (NOT CMAKE_BUILD_TYPE)
		set (CMAKE_BUILD_TYPE "Release" CACHE STRING "" FORCE)
	ENDIF(NOT CMAKE_BUILD_TYPE)
ELSE (APPLE)
	set (DEFAULT_QUTIM_GUI_TYPE "")
ENDIF (APPLE)
SET( QUTIM_GUI_TYPE ${DEFAULT_QUTIM_GUI_TYPE} CACHE STRING "qutIM GUI TYPE" )
IF( QUTIM_GUI_TYPE )
	MESSAGE(STATUS "qutIM will be compiled with ${QUTIM_GUI_TYPE} GUI type")
ENDIF()

QUTIM_ADD_EXECUTABLE (qutim
	${QUTIM_GUI_TYPE}
	${SOURCES}
	${HEADERS}
	${MOC_SRCS}
	${UIS_H}
	${RCC}
	${QUTIM_ADDITIONAL_SOURCES}
	)

if(MSVC)
	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} /W3")
	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} /W3")
else()
	if(SYMBIAN)
		#disable stupid warnings
		set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -w")
		set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -w")
	else()
		set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -Wall -Wextra")
		set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -Wall -Wextra")
		if(NOT WIN32)
			set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -fvisibility=hidden")
			if(DEVELOPER)
				set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -Werror")
				set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -Werror")
			endif(DEVELOPER)
		endif(NOT WIN32)
	endif()
endif()

set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -DQUTIM_CORE -DXDG_STATIC")
set_target_properties(qutim PROPERTIES COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS}")
set_target_properties(libqutim PROPERTIES COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS}")

qutim_target_link_libraries (qutim
	${QT_LIBRARIES}
	${QT_QTMAIN_LIBRARY}
	${QUTIM_LIBS}
	${QUTIM_ADDITIONAL_LIBRARIES}
	libqutim
	)

IF (APPLE AND QUTIM_BUNDLE_LOCATION)

	macro(_deploy_plugins_dir _plugin)
		set(plugin_dir "${QT_PLUGINS_DIR}/${_plugin}")
		file(GLOB plugins ${plugin_dir} "${plugin_dir}/*.dylib")
		get_filename_component(category ${plugin_dir} NAME_WE)
		get_filename_component(_abs_FILE ${plugin_dir} ABSOLUTE)
		foreach(plugin ${plugins})
			get_filename_component(_abs_PATH ${plugin} ABSOLUTE)
			get_filename_component(name ${plugin} NAME)
			#TODO remove this hack
			if(NOT ${_abs_PATH} STREQUAL ${_abs_FILE})
				add_custom_command(TARGET qutim-bundle POST_BUILD
					COMMAND ${CMAKE_COMMAND}
						ARGS -E copy
						${_abs_PATH}
						${QUTIM_BUNDLE_LOCATION}/Contents/PlugIns/${category}/${name}
				)
			endif()
		endforeach()
	endmacro()

	macro(_mac_deploy_plugin _dir _plugin)
		set(plugin "${_dir}/lib${_plugin}.dylib") #evil hack
		get_filename_component(_absfile "${QT_PLUGINS_DIR}/${plugin}" ABSOLUTE)
		if(EXISTS ${_absfile})
			message(STATUS "found ${_dir}/${_plugin} plugin.")
			add_custom_command(TARGET qutim-bundle POST_BUILD
				COMMAND ${CMAKE_COMMAND}
					ARGS -E copy
					${_absfile}
					${QUTIM_BUNDLE_LOCATION}/Contents/PlugIns/${plugin}
			)
		endif()
	endmacro()

	_mac_deploy_plugin(bearer qcorewlanbearer)
	_mac_deploy_plugin(bearer qgenericbearer)

	_mac_deploy_plugin(iconengines qsvgicon)

	_mac_deploy_plugin(imageformats qgif)
	_mac_deploy_plugin(imageformats qsvg)
	_mac_deploy_plugin(imageformats qjpeg)
	_mac_deploy_plugin(imageformats qmng)

	add_custom_command(TARGET qutim-bundle POST_BUILD
		COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/utils/deployqutim.sh
			${QUTIM_BUNDLE_LOCATION}
		)

ENDIF (APPLE AND QUTIM_BUNDLE_LOCATION)

if( LANGUAGE )
	LANGUAGE_UPDATE( core ${LANGUAGE} "${CMAKE_CURRENT_SOURCE_DIR}" )
endif( LANGUAGE )

FILE(GLOB CMAKE_MODULES "${CMAKE_CURRENT_SOURCE_DIR}/cmake/*.cmake")

FILE (GLOB DEV_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*.h")
FILE (GLOB DEV_HEADERS_EXCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*_p.h")
LIST(REMOVE_ITEM DEV_HEADERS ${DEV_HEADERS_EXCLUDE})

INSTALL(FILES ${CMAKE_MODULES}
	DESTINATION share/cmake/Modules
		COMPONENT CoreDevel
)
INSTALL(TARGETS qutim
	RUNTIME DESTINATION bin
		COMPONENT Core
	BUNDLE DESTINATION .
		COMPONENT Core
)

QUTIM_ADD_ARTWORK_DIR(share/qutim)

IF(UNIX AND NOT APPLE AND NOT MAEMO5)
	INSTALL(DIRECTORY share/applications share/icons share/pixmaps
		DESTINATION share
			COMPONENT Core
	)
ENDIF()

IF(MAEMO5)
	INSTALL(DIRECTORY share/applications share/icons share/pixmaps
		DESTINATION /usr/share
			COMPONENT Core
	)
ENDIF()

INSTALL(DIRECTORY share/config
	DESTINATION share/qutim
		COMPONENT Core
)

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)

if(QUTIM_DEVELOPER_BUILD)
	message(STATUS "Selected developer build. Development tools will be installed")
else()
	message(STATUS "Development tools will not be installed")
endif()

qutim_add_devel_component(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#additional artwork sources
SET(QUTIM_ADDITIONAL_ART_PATH "-NOTFOUND" CACHE PATH "Path to additional artwork")
IF(QUTIM_ADDITIONAL_ART_PATH)
	QUTIM_ADD_ARTWORK_DIR(${QUTIM_ADDITIONAL_ART_PATH})
ENDIF()

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)
CPACK_ADD_COMPONENT(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#small simple hack for install Qt dlls and plugins
IF(WIN32)
	SET(QUTIM_REQUIRED_DLL_DIR "" CACHE PATH "Path to Qt dll's and plugins. Note: you must add them yourself")
	FILE(GLOB dlls ${QUTIM_REQUIRED_DLL_DIR}/*)
	FOREACH(QUTIM_DLL ${dlls})
		IF(IS_DIRECTORY ${QUTIM_DLL})
			INSTALL(DIRECTORY ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ELSEIF(${QUTIM_DLL} MATCHES ".\\.dll")
			INSTALL(FILES ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ENDIF()
	ENDFOREACH()
	LIST(APPEND CPACK_COMPONENTS_ALL Qt)
	CPACK_ADD_COMPONENT(Qt
		DISPLAY_NAME "Qt Libraries"
		DESCRIPTION ""
	)
ENDIF(WIN32)

=== protocols/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
if( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
endif(COMMAND cmake_policy )
project( Protocols )

if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
	set(QUTIM_PATH "" CACHE FILEPATH "Path to qutim sources")
	set(QUTIM_BINARY_DIR "" CACHE FILEPATH "Path to qutim build directory")
	set(QUTIM_LIBRARY QUTIM_LIBRARY-NOTFOUND CACHE FILEPATH "Path to qutim library")
endif ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
if( QUTIM_BINARY_DIR )
	set( QUTIM_INCLUDE_DIR ${QUTIM_BINARY_DIR}/libqutim/include )
	set( QUTIM_LIBRARY_DIR ${QUTIM_BINARY_DIR}/libqutim/ )
endif( QUTIM_BINARY_DIR )

LIST (APPEND CMAKE_MODULE_PATH "cmake")
LIST (APPEND CMAKE_MODULE_PATH "${QUTIM_PATH}/cmake")
option ( QUTIM_ENABLE_ALL_PLUGINS "Enable plugins by default" ON )

INCLUDE (MacroEnsureVersion)
find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork)
if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
	set(QUTIM_PATH "" CACHE FILEPATH "Path to qutim sources")
	set(QUTIM_BINARY_DIR "" CACHE FILEPATH "Path to qutim build directory")
	set(QUTIM_LIBRARY QUTIM_LIBRARY-NOTFOUND CACHE FILEPATH "Path to qutim library")
endif ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
if( QUTIM_BINARY_DIR )
	set( QUTIM_INCLUDE_DIR ${QUTIM_BINARY_DIR}/libqutim/include )
	set( QUTIM_LIBRARY_DIR ${QUTIM_BINARY_DIR}/libqutim/ )
endif( QUTIM_BINARY_DIR )

LIST (APPEND CMAKE_MODULE_PATH "cmake")
LIST (APPEND CMAKE_MODULE_PATH "${QUTIM_PATH}/cmake")
option ( QUTIM_ENABLE_ALL_PLUGINS "Enable plugins by default" ON )
find_package( QutIM REQUIRED )

file( GLOB PROTOCOLS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/*" )

qutim_add_extensions_dir(.)

=== core/libqutim/CMakeLists.txt ===
# libqutim project for cmake
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( libqutim )

# Search for source and headers in source directory (non-recursive)
FILE( GLOB SRC "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp" )
FILE( GLOB HDR "${CMAKE_CURRENT_SOURCE_DIR}/*.h" )
FILE( GLOB SRC_GAME "${CMAKE_CURRENT_SOURCE_DIR}/game/*.cpp" )
FILE( GLOB HDR_GAME "${CMAKE_CURRENT_SOURCE_DIR}/game/*.h" )

LIST( APPEND SRC ${SRC_GAME} )
LIST( APPEND HDR ${HDR_GAME} )

# Add JDns sources
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_mdnsd.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_packet.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_sys.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_util.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_sock.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.h"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_p.h" )

# Add K8JSON code
ADD_DEFINITIONS( -DK8JSON_INCLUDE_GENERATOR -DK8JSON_INCLUDE_COMPLEX_GENERATOR )
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/k8json.cpp" )
# LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/k8json.h" )

# Add qtdwm code
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/qtdwm.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/qtdwm.h" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/qtdwm_p.h" )

# Add SlidingStackedWidget
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.h" )
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/fingerswipegesture.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/fingerswipegesture.h" )

# Add flowlayout code
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/flowlayout/flowlayout.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/flowlayout/flowlayout.h" )

# Add itemdelegate
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/itemdelegate/itemdelegate.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/itemdelegate/itemdelegate.h" )

# Add avatarfilter
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatarfilter.cpp" )
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatariconengine.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatarfilter.h" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatariconengine_p.h" )

# MinGW special options
# Not sure if those applicable for linux
if(MINGW)
    ADD_DEFINITIONS( -DUNICODE -DQT_LARGEFILE_SUPPORT -DLIBQUTIM_LIBRARY -DQT_THREAD_SUPPORT )
    LIST( APPEND COMPILE_FLAGS "-mthreads" )
endif(MINGW)

FIND_PACKAGE( Qt4 REQUIRED )

option(WITH_DOXYGEN "" ON)

if(WITH_DOXYGEN)
    message("-- Checking for Doxygen...")
    find_package(Doxygen)
endif()

# Include QT4
INCLUDE( ${QT_USE_FILE} )

# Add include directories
INCLUDE_DIRECTORIES(
	.
	..
	../sdk02/
	../3rdparty/k8json/
	../3rdparty/jdns/
	../3rdparty/qtdwm/
	../3rdparty/qticonloader/
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_BINARY_DIR}/include/qutim_hook
)

# Generate moc files
QUTIM_WRAP_CPP( MOC_SRC ${HDR})
# Add JDNS using separate cmake project
#ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/jdns/" )
# Add Aero theme integration for Windows Vista and later
# ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/qtdwm/")

# This project will generate library

SET(LIBQUTIM_TYPE "SHARED")
IF(LIBQUTIM_BUILD_TYPE STREQUAL "STATIC")
	SET(LIBQUTIM_TYPE "STATIC")
	MESSAGE(STATUS "Libqutim will be linked staticaly")
ENDIF()

ADD_LIBRARY(libqutim ${LIBQUTIM_TYPE} ${SRC} ${MOC_SRC} ${HDR} ${SRC_MM})

set_target_properties(libqutim PROPERTIES
	PREFIX ""
	VERSION ${CMAKE_QUTIM_VERSION_STRING}
	SOVERSION ${CMAKE_QUTIM_VERSION_MAJOR}
	DEFINE_SYMBOL LIBQUTIM_LIBRARY
)

#if( CMAKE_COMPILER_IS_GNUCXX )
#	set_target_properties( libqutim PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}" )
#endif( CMAKE_COMPILER_IS_GNUCXX )

file( MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/qutim" )
file( MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/qutim_hook" )
configure_file( version.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/include/qutim_hook/libqutim_version.h" )
file( GLOB_RECURSE QUTIM_INCLUDE_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.h" )
foreach( header ${QUTIM_INCLUDE_HEADERS} )
	if( NOT ${header} MATCHES ".*_p\\.h" )
#		if( NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}" )
#			file( WRITE "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}"
#		"#include \"${CMAKE_CURRENT_SOURCE_DIR}/${header}\"
#	"
#			)
#		endif( NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}" )
		LIST(APPEND QUTIM_INSTALL_HEADERS ${header})
    endif( NOT ${header} MATCHES ".*_p\\.h" )
endforeach( header )

list( APPEND QUTIM_INSTALL_HEADERS "${CMAKE_CURRENT_BINARY_DIR}/include/qutim_hook/libqutim_version.h" )
set( QUTIM_LIBRARIES libqutim CACHE INTERNAL "" )
set( QUTIM_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}/include" CACHE INTERNAL "" )
QUTIM_GENERATE_INCLUDES("qutim" "${QUTIM_INSTALL_HEADERS}")
QUTIM_GENERATE_INCLUDES("qutim_hook" "${CMAKE_CURRENT_SOURCE_DIR}/libqutim_global.h")

IF(APPLE)
	FIND_LIBRARY(CARBON_LIBRARY Carbon)
	FIND_LIBRARY(CORE_SERVICES_LIBRARY CoreServices )
	FIND_LIBRARY(COCOA_LIBRARY Cocoa)
	MARK_AS_ADVANCED (CARBON_LIBRARY
		CORE_SERVICES_LIBRARY
		COCOA_LIBRARY
	)
	LIST(APPEND EXTRA_LIBS ${CARBON_LIBRARY} ${APP_SERVICES_LIBRARY} ${COCOA_LIBRARY})
ENDIF (APPLE)

IF(WIN32)
	LIST(APPEND EXTRA_LIBS ws2_32)
ENDIF()


# Link with Qt
qutim_target_link_libraries( libqutim ${QT_LIBRARIES} ${EXTRA_LIBS})

install( TARGETS libqutim 
	RUNTIME DESTINATION bin
		COMPONENT Core
		LIBRARY DESTINATION lib${LIB_SUFFIX}
		COMPONENT Core
		ARCHIVE DESTINATION lib${LIB_SUFFIX}
		COMPONENT CoreDevel
	BUNDLE DESTINATION library
)

INSTALL(FILES ${QUTIM_INSTALL_HEADERS}
	DESTINATION include/qutim
		COMPONENT CoreDevel
)

if(DOXYGEN_FOUND)
    add_subdirectory(doc)
    set(DOC_TARGET "doc")
    configure_file(doc/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
    configure_file(doc/DoxygenLayout.xml.in ${CMAKE_CURRENT_BINARY_DIR}/DoxygenLayout.xml @ONLY)
    add_custom_target(${DOC_TARGET} ALL
        ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        COMMENT "Building documentation"
        SOURCE doc/Doxyfile.in doc/DoxygenLayout.xml)

	install( DIRECTORY
		${CMAKE_CURRENT_BINARY_DIR}/doc/html
		${CMAKE_CURRENT_BINARY_DIR}/doc/qch
		DESTINATION share/qutim/doc
		COMPONENT CoreDevel
	)

    add_dependencies(libqutim ${DOC_TARGET})
endif()

=== plugins/histman/CMakeLists.txt ===
SET( QT_USE_QTXML TRUE )
SET( QT_USE_QTSQL TRUE )
qutim_add_plugin( histman
	DISPLAY_NAME "HistMan"
	DESCRIPTION "Plugin makes possible to import history to qutIM from different messengers,"
        LINK_LIBRARIES ${QT_QTSQL_LIBRARY} ${QT_QTXML_LIBRARY}
        INCLUDE_DIRS ${QT_QTSQL_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR}
)

=== plugins/kdeintegration/CMakeLists.txt ===
# qutIM KDE Integration

find_package(KDE4)
if(NOT KDE4_FOUND)
	message(STATUS "Cannot find KDE4, kde integration plugin will be skipped")
	return()
endif()

include(KDE4Defaults)

qutim_add_plugin(kdeintegration
	${KDE4_PLUGIN_SRC}
	DISPLAY_NAME "KDE integration"
	DESCRIPTION "Integration with K Desktop Environment"
	LINK_LIBRARIES ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS}
	INCLUDE_DIRS ${KDE4_INCLUDES}
	)

add_definitions( ${KDE4_DEFINITIONS} )

=== plugins/unitylauncher/CMakeLists.txt ===
FIND_PACKAGE(PkgConfig)
pkg_check_modules(DBUSMENUQT dbusmenu-qt>=0.8.1)

find_package(Qt4 COMPONENTS QtDBus )
if(NOT QT_QTDBUS_FOUND OR NOT DBUSMENUQT_FOUND)
	message(STATUS "Cannot build unity launcher integration")
	return()
endif(NOT QT_QTDBUS_FOUND OR NOT DBUSMENUQT_FOUND)

qutim_add_plugin( "unitylauncher"
	DISPLAY_NAME "UnityLauncher"
	DESCRIPTION "Ubuntu Unity panel integration"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src
	LINK_LIBRARIES ${QT_QTDBUS_LIBRARY} ${DBUSMENUQT_LIBRARIES}
	INCLUDE_DIRS ${QT_QTDBUS_INCLUDE_DIR} ${DBUSMENUQT_INCLUDE_DIRS}
)

=== plugins/maemo5integration/maemo5tray/CMakeLists.txt ===
INCLUDE(FindPkgConfig)

PKG_CHECK_MODULES(GTK gtk+-2.0)
PKG_CHECK_MODULES(DBUS dbus-1)
PKG_CHECK_MODULES(DBUS-GLIB dbus-glib-1)

if(NOT GTK_FOUND)
	message(STATUS "Cannot build Maemo 5 Tray integration")
	return()
endif()

if(NOT DBUS_FOUND)
	message(STATUS "Cannot build Maemo 5 Tray integration")
	return()
endif()
if(NOT DBUS-GLIB_FOUND)
	message(STATUS "Cannot build Maemo 5 Tray integration")
	return()
endif()



qutim_add_plugin( maemo5tray
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/maemo5tray.h
	EXTENSION_CLASS Maemo5Tray
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Maemo 5 Tray "
	DESCRIPTION "Maemo 5 specific system tray implementation"
	LINK_LIBRARIES ${GTK_LIBRARIES} ${DBUS_LIBRARIES} ${DBUS-GLIB_LIBRARIES} 
	INCLUDE_DIRS ${GTK_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS} ${DBUS-GLIB_INCLUDE_DIRS}
)

=== plugins/maemo5integration/maemo5vibra/CMakeLists.txt ===
FIND_PACKAGE( Qt4 COMPONENTS QtDBus)
if(NOT QT_QTDBUS_FOUND)
	message(STATUS "Cannot build Maemo5Vibra")
	return()
endif()

qutim_add_plugin(maemo5vibra
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/maemo5vibra.h
	EXTENSION_CLASS Maemo5Vibra
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Maemo 5 Vibra Notifications"
	DESCRIPTION "Notification system, based Maemo 5 Vibrator"
	LINK_LIBRARIES ${QT_QTDBUS_LIBRARY}
	INCLUDE_DIRS ${QT_QTDBUS_INCLUDE_DIR}
)

=== core/src/corelayers/joinchatdialog/CMakeLists.txt ===
qutim_add_plugin( joinchatdialog
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/joinchatmodule.h
	EXTENSION_CLASS Core::JoinChatModule
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Simple conference join dialog"
	DESCRIPTION "Conference join dialog adopted for Desktop systems"
)

=== core/src/corelayers/mobilenotificationssettings/CMakeLists.txt ===
qutim_add_plugin( mobilenotificationssettings
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/mobilenotificationssettings.h
	EXTENSION_CLASS Core::MobileNotificationsSettings
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Mobile notifications settings"
	DESCRIPTION "Mobile settings widget set for notifications"
)

=== core/src/corelayers/notificationfilter/CMakeLists.txt ===
qutim_add_plugin( notificationfilter
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/notificationfilter.h
	EXTENSION_CLASS Core::NotificationFilterImpl,qutim_sdk_0_3::NotificationFilter,qutim_sdk_0_3::StartupModule
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Notification filter"
	DESCRIPTION "Notification filter"
)

=== plugins/macintegration/src/maccontactlistwidget/CMakeLists.txt ===
if(NOT APPLE)
	message(STATUS "Mac Os X contactlist widget will be skipped")
	return()
endif()


qutim_add_plugin(maccontactlistwidget
	GROUP "ContactWidget"
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/macwidget.h
	EXTENSION_CLASS Core::SimpleContactList::MacWidget
	DISPLAY_NAME "Mac Contactlist"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Mac OS X contactlist"
	DEPENDS simplecontactlist
	LINK_LIBRARIES simplecontactlist
)

=== debian/changelog ===
qutim (0.2.80-maemo-6) fremantle; urgency=low

  * Add Maemo 5 intergations plugins (Vibra, Led, Tray)
  * Package strip
  * Sync with upstream
  * Many bugfixes
  * Improved performance
  * Cleared UI

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 16 Aug 2011 12:08:54 +0600

=== debian/control ===
Source: qutim
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,pidgin-dev,libidn11-dev,libhunspell-dev,maemo-optify, libqtm-dev
Standards-Version: 3.7.2

Package: qutim
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},libidn11,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl, hunspell-en-ru(>=0.1.2),qutim-maemo-docklet,qutim-smiles-kolobok
Description: qutIM - is powerful instant messenger
 qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols, and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 Supported protocols: Oscar(ICQ), Jabber, Mail.ru(MRIM) 
 Supported langugages: En, Ru, Bg, Cz
XSBC-Maemo-Display-Name: qutIM
XSBC-Bugtracker: https://launchpad.net/qutim
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACmAAAApgBNtNH3wAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABGqSURBVGiBvZp5lJ1lfcc/73bfu83MnX0y
 WyYJA1kmgZCwBEFJkCLQSqpiUSsgCiUoLniQVlRA22O10HiwVGqr1IJLjacu
 BduegrJYBAkhQGJCmMk2mZnMcmfmru/2LP3j3rmZkLAqPuc8573nXc75fn+/
 7295nucaWmv+4OO228x/2LfvlnR//8dSHR313o4d37188+Yr5x4bhmH88Ic/
 NLds2WJ1dHQYhw8f1pOr/uyElROPDDU3NzuACaj73LNuMv6QBL5+8cX1+WTy
 64mlSy+LL1gQc12XWCyG6zjMPPDAudfed9+jgHH99dc7yWQybllWLAgCva3n
 j84rjo33XZzYe48QIi6EsH7c8+57RXYm+Qch8Ffr1vWrpqa7jSVLzo1lMmYs
 FsN1XVzXxXEcYrEYcteu53aE4emAq7VO2bZdb5pmfEffBRcWepbdtuT+u1Z1
 tWCbpln/v/XnXjE7cPpfmA899FX7zQS+aWBgfdTcfKdYvHjASSZxlSJWLBKG
 IV1dXQRBQLlcpr29Hau7e1X91q2nzTQ0zJqxZOv+xeddOtt2wqVRR0dLafvu
 ka4WYpZltRuOUze7cOVHtNSkTPPRN4XAlSctu7pQl7q1sGBBpxuP4wYBMa0J
 goC1a9dy5plnMj09DcDOnTuZmZnBTGfILt/wg9EFp+SiBV39QTrt+ELjCY09
 nn3IMIyM1rp1r+hZ5tQnrCBQRFa6+/dG4Lb16+0D2exf5+sbrist7qtTSoNW
 BEFIJpNh/fr19PT0YJom2WyWIAwZk0lGut/GTGMnsimDJ+kSUncpw6AYKDyp
 ST4/PHly9qGvq4zRprWun0p1rkYCUhMa6YW/M4EbBgaaZl33rkJT87v9hX2O
 VgoTME1Ne3snGzdupKOjA8/ziKKIYtlje9RFqXsxYTxGWYKQmrKEstSUhSbS
 ld/1L07mFu360QXJZCSVshNKqaRKtS32fYlWGuXULXrDBDatWL08akh+o7ho
 ydmh45haK+rSGQqzU/Qt7OWiiy6it7cXpRRKKYQQjJUNnqtfhWqux5eaUBmU
 hKoArxIIJLj5kO6h7MG67T+6MuEOz4w0ntLXNTPomqYZd51kXEuNVhppp/pf
 N4FPrFnzDq++4e9LK5Yuk6aB1hpLSoIwom/hMlZe+35Wt/nELKNi8WKRsbEx
 tnudhEuXIgyTstR4EqShKUpNWYASmoaRMu6BQVp2bHkwrI9uH1z5x53Ppj54
 e/zQ1I4uBn8phIgp7VhKalAa7bqdr5nAJ89Yd73X3HxzMHByu1IKQysMIQmj
 gNWrT2HdunXYts0z44In6toZUHtRoU8ul+N5v5dwxYl4EspCH2XxsgQ1EXHq
 /u1MPPNt8l1nsPX0qzbke7o3aBszmUeeOP34F5Wr2rXWbkG7KRsIpUY7dsMr
 Erh1YCCWa2r+StjWcXWwclVKK42hFVIItJac9/b1nHPOObiuy8zMDNPT0zRZ
 sxgNC3jit40sdV5gcDykMNCPX7V6uWrxOS+IrObdU4+RSI+x+6RLeXH1W9FK
 m1pqWvOWrHtq6IZW8/lyGOqUcNKpsbTb7NoQBhpDGfq4BG49++y2QiL9jfDU
 M94pUklbK4WlNSW/SF1dmosuuoC1a9dimiZSSjzPo1gsksvlmGIhSQWHgyQt
 uSl2B6swTPDmgS6rI144bWqcxQvg2ak+Xlx1BnP61lJT9/hTn+oJv7dVOU6v
 1jrz645r3xdZyggLlXcsYcqjCNx89vpTosaGf4wGTjlTxVwDrbCUZjo3S29P
 F++59E/p7e1Fa43v+2itkVIihMD3ffL5POXuNlSk8QTkcjnCljaEmJOLxjRN
 TMCTmqLQdLvTFItFfqpOQ1EBjqxcM/kHWrWrFxSILdmxcNNVufZUq64+00pj
 SC1sgM9vOP8S2dz6d9Hpp/drw8DUGhlFTE1OcOqa1Xzoqg8Sj8dRShGGYS2z
 KKVqgZrNZhm1luH2unhS42OQz+eRy1KVQJWaQIBpVTJNWYKUmuFAsK20FL83
 TqNpkC1KtAKtNNvedtPnYoVgyk+6jSKm7bRrYpkGuVyEkBon0AXjcxe/85/0
 qtXXSKUqlg18xkYPccaZp3HeeeeRyWQwDKOWCqWUKKWQUhKGIb7vMzU1xaGJ
 HFNrLkXEK3IpegpveAavpxFvfppUlfQZRqomFa00NuAAxWqOtzTEbZN8SaCl
 xjGhMWWjtaZcluRzgv69/lW2ubj/Q8o0sQyDkdFh+vsX84lPXEc6nQbANE3C
 MMTzPKSUNQJzZIrFIpOTk+xzz8Z1IZQQaPAsKHU34on5GUcTStBKHaV1rTRh
 ldycRKTWRHrec6GJYpUi6XuSRZ470jF+w3/YZhT4mJYDmg9cfiWrVpwIULNy
 EAS136ZpopQCQGtNGIYUCgVyhRLmW3opC43QBl41WEtV0AqDSEFQbQEsrYkZ
 BoGuANfzgKM0htZIoSmHVaKyIqnJbEjCMFnmuyOpfY++a3fLJa5pjI1917JM
 DMNkQVcXUkq01kfpfM7yvu8ThmEtaAuFArlcjrHEGnwXCgLykaYgIBdVgrQo
 Krk/khotFUoqEqaBgyZpUgOupcYxIBO3aEpYpBwTLeaeKRxgwIqLsybH71P7
 v/nnOxecdkc6tuFP7A4Vfnqy7F1tpJLWjud2sHrVSURRdBSB+XNu/aCUqpEo
 LVtBIKhqvSoZcSTvq3lS0VIjkYCBEJpaVZWahGtiqMr7cdOgBCilWWq7dE1P
 Pa13bb5rpPf9K/d0feDBhWFsKLPnQ/eZ1/zsZ+V+1/6vzu5u9g0OojgSsHP5
 fW4WCgVKpRKe5+H7PqVSiaIXEDbGKIkjFi8KTakqITXPwnOz4CvyniTvVQJU
 veS9OUJKKFbnCjQ+eAPyFx87NGV3ZV5ILvq4Iwyj/dBTl/T09CgbIFaYufa0
 U1cPHzo8boyMTtLaVEcsFqvkbNNECIFSCsuyMAyjmgnKFItFZmN9FDSUqsE6
 54WgqttazlYaU1ORktLIo4K4IqW8J0nbBgZQ9iQpz8T8zReQRkQUi58/2Hf5
 +kBLqyO096upfx6ZcV1lAmzcvHlk9LFHty5c1EdjphE3kUAIgda6tuSzbZtE
 IoHruhiGgWVZWJaFl+6jICpNWUlWroHkGKsrqZFCHXXPUBXda6nQUhGFiumC
 IDsbUfIkniHp6GxHY7Dn5FuTM6au11JTL+Sv8/l8tGXLliOtxMzQCx9tK7/1
 N07cxXISSJmvFa65ajsX4FJKSqUSvu9jO6pm/bLUiJplqUlBv8zVtQxiBvhy
 /v2K52wDIq35n+5PwwJF2TRRkQKlqfcm711w4ony4Ycf1uYcgfd97WtPHX7y
 1/vCMML3A9INGSzLIpFIEI/HSSQSJJNJkslkTV4AtjdOqAyKogq+NlVN2yhN
 woCYPtozni/JVQvV/O8q+tdooSlq8AwT26gQa5SW9Hbd/PjMzIzSWh8hAJDb
 veumMArxvDKWHasF8lz6nPOEUgrDMHAcB7uwD0tx3GCdk4atwdBgG0e/V5HV
 kf4nYRm4loEWiiiUiCqZSCg8T6KFptOfFolEItqyZYuGygYRR7xwx5bs9u3Z
 MIwoFMtIWakBhmFg2zaWZeE4Dul0mtbWVhoaGkhR4KRidBzwR2YYSsJQ4gVH
 YsDSR5OxDYiZBgnLwITqOxoLavXA1QYLC4/F2oeHO4FjCQBM73zujiiKKOQL
 tHR0EovFsCwLrXXN+o7j4LpuTU7O2O5XJCClxgsVYSQrwIC4aVRyftUTYagQ
 kSIIKtc5UhYVT8ZMON8ZRxZ+YxiJ5F1zeI8hcPnmO76c3zvkR1HFC7bj1Pof
 27ZxXZdSqcTExASFQgEhBCOpzlck8FJZRaGk6IuafHRVSrNFUWvetNQEvsLS
 sKIpwecHbGa3/S22bRN0dJ533YoVKYDjLmimt2/7t1hn9zXZ7DQ9nW2oeQ2c
 7/sIIRBCUCwWGdcN7E7VHVVRXy7rHHvlmPuG0rylNcXihKLRiWiPC1Z15Wlt
 jZEsXcIjDz+GSqUsXVf/NeAjx3gAICwXPlWeGJdhEOIFEsuq8LQsC9d1SSQS
 2LZN2fPYvnAjshqsc3I4fkAfvVip/FbEDE3MNGrkNzYavKf+Qc5K/4o1jc/T
 XX8AIbJMTU2xfPly8oU8lmkStHd84LgSArjm7rvLs9u2/ncYRYyNHaY+04jr
 uqRSKVzXRWtNPp9ntz3AoXjimBQ4vz2YT8bUuqZ9Xc06DgYxNG61setLDFOX
 TpHJZHhyspeSaKO+vp66ujp6enpobGzAtCxkpjH+8XXrPndcAgByZHxTkM9r
 z/cp+SFi3gLG8zyEELTrgLUJhxi8hMTRFXeOiIg0QahQQtdIqGogm9Ua8ehE
 KzuySe7e3s2P96Q4qUsSj8eJxWKEYciG8y/ANE0s0yJqar3+ZQlc/f17hnPb
 tm6Lwojhg6Ok6+qJoqjWXiQSCRrC3Sx99l4uiqnjyOXYe0pqwkghpUaIylRR
 pWhFYYX4EzMmX9m5kO2zMT57hsBxKomjsakZO1FHPl/CMi1My4Rksv4Vt1WC
 kf0fDfxTn1BKonRXZRtcylotaGlpobh/Pxx8Gp1e/arBitKYilrF9iJVyfOq
 QgClaU7YnNOR4F2LsnS1+th2A6GEXzzyK7Y9+RSFYh7TtDAUxCfGv/Wq5wPf
 +Msv7EuuPLmvqbmRlctOoFQsYJom+XyebDbL4OAgQ7G1/NReTCSOXSrOv9qG
 ATXrV9bEza7FKS1xuuKaNiegPzVBUzpPuq6OZEMjzzy9nV3PP1fZTNAKHQns
 keFBa2rqxtsff+wnr7oz5+/b91ln6fLvTU1lkfRj25VPEokE6XSaTCZDZngb
 Fy47iZ+N+a+cNql4Q8mK5S/sSXB2/AWS5ijxRCVJJFJpbKeOHTtfYO/QEFII
 lNZYUaRjBw88yfTMdV99/JFn5vC9phOaO2++Lesu6W/q7e7ixBN68D0PgDAM
 GR0dZXBwkGzUwrPd7+DpCY8oenlPGErTn4nz3o4iS9IvkkhUKrodi+N5ATt2
 7GR8dAytdWXm88I6sO8BJz+96dbHHht7KbbXtDcaDL242ezt+9L+g8MsXtRN
 Nps9qqlraWnBGx7m5KF/p2nJe7n/YKkGmOrVVDDQ7HJ+i2AgPUhdnSaRaCNV
 V8fU5AxPP72V2dksWlXqDZMTZQ7u/7blFW+85Ze/9F8O22s+I7v9C3/jxTo6
 48uX9bOwuwMhotpCf2ZmhpGREUZGRhBNa/h+NMBkPkKryu7DmpYY59YXWRIf
 oq7eIZPJ0NjcCqaFiBR7h4YY2vMis7Oz6IMHJvXowa/c8vP773gtuF7z7nS4
 Z/d3aW798K7dgyw9cRGzMxWj2LZNQ0MDAI7jMD0zxIcXnMBIWz1JGdBpZGm3
 9pJIxchkGmlqbUUog5lcEcuqdLg93V1Y+/cO7t2758ZN//qtn7xWTPA6PHDb
 hg1p55zzZ+1Mo3XG6afS1lSHEALbtmt7pblcjtnZWXzfr7Ud6XSaxqYm6uob
 yc7mKRdLWLZd+c739OzTTz1Z3n/wuvfeecczr47idyAA8MXLPvhza/VpF6bS
 Kd7x9rMZGx2trY8Nw8AwKocaQRCAYdDW2kY8Wcfo4XGKxTKO42BZFmJ2WpSe
 feZ+byR77RXfunP8jQCfG6/rhEZPTm8KS8V9UikjX/RpaWmpgK0OpRSmadHc
 3IzEZN/+Q3jegepiyMYfPlAu7971bTOXvfGKe+552cB8PeN1H3TffNkV28zl
 A6tbmpt4z8YLmZ7OImWlY21ra2f/oVF27R4kDENsy8IyTaL9Q5Ph/qEvX/cv
 39z8+wA9f7zuMzJj8vDHIr///yYmp/jt7kHOOnMtnldm27O7eOjRJ1FKV4Cj
 8Qf3vKhGD934yR/c99PfN/AanjfyV4PPXHblAb34hF7bsrAdu9IdWha2ZWGK
 SBtDe540x8c33Xj/j7e/CZiPGm/omNUcH7056O27VymFrO7YOeUZoQ/uu5+p
 /LW3/OI/f6fAfD3jDf/Z46aLNn5H9C56n+F5Xmzi8HdcP/eZV6qYb9b4fwkI
 DO2dzZsSAAAAAElFTkSuQmCC
 ====

Package: qutim-extra-protocols
Section: user/network
Architecture: any
Depends: qutim,libpurple0
Description: IRC, Vkontakte, and all pidgin protocols for qutIM
XSBC-Maemo-Display-Name: qutIM extra protocols
XSBC-Bugtracker: https://launchpad.net/qutim
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACmAAAApgBNtNH3wAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABGqSURBVGiBvZp5lJ1lfcc/73bfu83MnX0y
 WyYJA1kmgZCwBEFJkCLQSqpiUSsgCiUoLniQVlRA22O10HiwVGqr1IJLjacu
 BduegrJYBAkhQGJCmMk2mZnMcmfmru/2LP3j3rmZkLAqPuc8573nXc75fn+/
 7295nucaWmv+4OO228x/2LfvlnR//8dSHR313o4d37188+Yr5x4bhmH88Ic/
 NLds2WJ1dHQYhw8f1pOr/uyElROPDDU3NzuACaj73LNuMv6QBL5+8cX1+WTy
 64mlSy+LL1gQc12XWCyG6zjMPPDAudfed9+jgHH99dc7yWQybllWLAgCva3n
 j84rjo33XZzYe48QIi6EsH7c8+57RXYm+Qch8Ffr1vWrpqa7jSVLzo1lMmYs
 FsN1XVzXxXEcYrEYcteu53aE4emAq7VO2bZdb5pmfEffBRcWepbdtuT+u1Z1
 tWCbpln/v/XnXjE7cPpfmA899FX7zQS+aWBgfdTcfKdYvHjASSZxlSJWLBKG
 IV1dXQRBQLlcpr29Hau7e1X91q2nzTQ0zJqxZOv+xeddOtt2wqVRR0dLafvu
 ka4WYpZltRuOUze7cOVHtNSkTPPRN4XAlSctu7pQl7q1sGBBpxuP4wYBMa0J
 goC1a9dy5plnMj09DcDOnTuZmZnBTGfILt/wg9EFp+SiBV39QTrt+ELjCY09
 nn3IMIyM1rp1r+hZ5tQnrCBQRFa6+/dG4Lb16+0D2exf5+sbrist7qtTSoNW
 BEFIJpNh/fr19PT0YJom2WyWIAwZk0lGut/GTGMnsimDJ+kSUncpw6AYKDyp
 ST4/PHly9qGvq4zRprWun0p1rkYCUhMa6YW/M4EbBgaaZl33rkJT87v9hX2O
 VgoTME1Ne3snGzdupKOjA8/ziKKIYtlje9RFqXsxYTxGWYKQmrKEstSUhSbS
 ld/1L07mFu360QXJZCSVshNKqaRKtS32fYlWGuXULXrDBDatWL08akh+o7ho
 ydmh45haK+rSGQqzU/Qt7OWiiy6it7cXpRRKKYQQjJUNnqtfhWqux5eaUBmU
 hKoArxIIJLj5kO6h7MG67T+6MuEOz4w0ntLXNTPomqYZd51kXEuNVhppp/pf
 N4FPrFnzDq++4e9LK5Yuk6aB1hpLSoIwom/hMlZe+35Wt/nELKNi8WKRsbEx
 tnudhEuXIgyTstR4EqShKUpNWYASmoaRMu6BQVp2bHkwrI9uH1z5x53Ppj54
 e/zQ1I4uBn8phIgp7VhKalAa7bqdr5nAJ89Yd73X3HxzMHByu1IKQysMIQmj
 gNWrT2HdunXYts0z44In6toZUHtRoU8ul+N5v5dwxYl4EspCH2XxsgQ1EXHq
 /u1MPPNt8l1nsPX0qzbke7o3aBszmUeeOP34F5Wr2rXWbkG7KRsIpUY7dsMr
 Erh1YCCWa2r+StjWcXWwclVKK42hFVIItJac9/b1nHPOObiuy8zMDNPT0zRZ
 sxgNC3jit40sdV5gcDykMNCPX7V6uWrxOS+IrObdU4+RSI+x+6RLeXH1W9FK
 m1pqWvOWrHtq6IZW8/lyGOqUcNKpsbTb7NoQBhpDGfq4BG49++y2QiL9jfDU
 M94pUklbK4WlNSW/SF1dmosuuoC1a9dimiZSSjzPo1gsksvlmGIhSQWHgyQt
 uSl2B6swTPDmgS6rI144bWqcxQvg2ak+Xlx1BnP61lJT9/hTn+oJv7dVOU6v
 1jrz645r3xdZyggLlXcsYcqjCNx89vpTosaGf4wGTjlTxVwDrbCUZjo3S29P
 F++59E/p7e1Fa43v+2itkVIihMD3ffL5POXuNlSk8QTkcjnCljaEmJOLxjRN
 TMCTmqLQdLvTFItFfqpOQ1EBjqxcM/kHWrWrFxSILdmxcNNVufZUq64+00pj
 SC1sgM9vOP8S2dz6d9Hpp/drw8DUGhlFTE1OcOqa1Xzoqg8Sj8dRShGGYS2z
 KKVqgZrNZhm1luH2unhS42OQz+eRy1KVQJWaQIBpVTJNWYKUmuFAsK20FL83
 TqNpkC1KtAKtNNvedtPnYoVgyk+6jSKm7bRrYpkGuVyEkBon0AXjcxe/85/0
 qtXXSKUqlg18xkYPccaZp3HeeeeRyWQwDKOWCqWUKKWQUhKGIb7vMzU1xaGJ
 HFNrLkXEK3IpegpveAavpxFvfppUlfQZRqomFa00NuAAxWqOtzTEbZN8SaCl
 xjGhMWWjtaZcluRzgv69/lW2ubj/Q8o0sQyDkdFh+vsX84lPXEc6nQbANE3C
 MMTzPKSUNQJzZIrFIpOTk+xzz8Z1IZQQaPAsKHU34on5GUcTStBKHaV1rTRh
 ldycRKTWRHrec6GJYpUi6XuSRZ470jF+w3/YZhT4mJYDmg9cfiWrVpwIULNy
 EAS136ZpopQCQGtNGIYUCgVyhRLmW3opC43QBl41WEtV0AqDSEFQbQEsrYkZ
 BoGuANfzgKM0htZIoSmHVaKyIqnJbEjCMFnmuyOpfY++a3fLJa5pjI1917JM
 DMNkQVcXUkq01kfpfM7yvu8ThmEtaAuFArlcjrHEGnwXCgLykaYgIBdVgrQo
 Krk/khotFUoqEqaBgyZpUgOupcYxIBO3aEpYpBwTLeaeKRxgwIqLsybH71P7
 v/nnOxecdkc6tuFP7A4Vfnqy7F1tpJLWjud2sHrVSURRdBSB+XNu/aCUqpEo
 LVtBIKhqvSoZcSTvq3lS0VIjkYCBEJpaVZWahGtiqMr7cdOgBCilWWq7dE1P
 Pa13bb5rpPf9K/d0feDBhWFsKLPnQ/eZ1/zsZ+V+1/6vzu5u9g0OojgSsHP5
 fW4WCgVKpRKe5+H7PqVSiaIXEDbGKIkjFi8KTakqITXPwnOz4CvyniTvVQJU
 veS9OUJKKFbnCjQ+eAPyFx87NGV3ZV5ILvq4Iwyj/dBTl/T09CgbIFaYufa0
 U1cPHzo8boyMTtLaVEcsFqvkbNNECIFSCsuyMAyjmgnKFItFZmN9FDSUqsE6
 54WgqttazlYaU1ORktLIo4K4IqW8J0nbBgZQ9iQpz8T8zReQRkQUi58/2Hf5
 +kBLqyO096upfx6ZcV1lAmzcvHlk9LFHty5c1EdjphE3kUAIgda6tuSzbZtE
 IoHruhiGgWVZWJaFl+6jICpNWUlWroHkGKsrqZFCHXXPUBXda6nQUhGFiumC
 IDsbUfIkniHp6GxHY7Dn5FuTM6au11JTL+Sv8/l8tGXLliOtxMzQCx9tK7/1
 N07cxXISSJmvFa65ajsX4FJKSqUSvu9jO6pm/bLUiJplqUlBv8zVtQxiBvhy
 /v2K52wDIq35n+5PwwJF2TRRkQKlqfcm711w4ony4Ycf1uYcgfd97WtPHX7y
 1/vCMML3A9INGSzLIpFIEI/HSSQSJJNJkslkTV4AtjdOqAyKogq+NlVN2yhN
 woCYPtozni/JVQvV/O8q+tdooSlq8AwT26gQa5SW9Hbd/PjMzIzSWh8hAJDb
 veumMArxvDKWHasF8lz6nPOEUgrDMHAcB7uwD0tx3GCdk4atwdBgG0e/V5HV
 kf4nYRm4loEWiiiUiCqZSCg8T6KFptOfFolEItqyZYuGygYRR7xwx5bs9u3Z
 MIwoFMtIWakBhmFg2zaWZeE4Dul0mtbWVhoaGkhR4KRidBzwR2YYSsJQ4gVH
 YsDSR5OxDYiZBgnLwITqOxoLavXA1QYLC4/F2oeHO4FjCQBM73zujiiKKOQL
 tHR0EovFsCwLrXXN+o7j4LpuTU7O2O5XJCClxgsVYSQrwIC4aVRyftUTYagQ
 kSIIKtc5UhYVT8ZMON8ZRxZ+YxiJ5F1zeI8hcPnmO76c3zvkR1HFC7bj1Pof
 27ZxXZdSqcTExASFQgEhBCOpzlck8FJZRaGk6IuafHRVSrNFUWvetNQEvsLS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" -DWININTEGRATION=false -DAESCRYPTO=false -DWEATHER=false -DSDLSOUND=false -DANTIBOSS=false -DKDEINTEGRATION=false -DMAC-INTEGRATION=false -DASPELLER=false -DAWN=false -DLOGGER=false -DNOWPLAYING=false -DINDICATOR=false -DASTRAL=false -DCONTACTINFO=false -DSEARCHDIALOG=false -DPLISTCONFIG=false -DQSOUNDBACKEND=false -DSOFTKEYSACTIONBOX=false -DTRAYICON=false -DMIGRATION02X03=false -DKINETICPOPUPS=false -DXSETTINGSDIALOG=false -DWITH_DOXYGEN=false -DTABBEDCHATFORM=false -DSYMBIANINTEGRATION=false -DHISTMAN=false -DKINETICSCROLLER=false -DFLOATIES=false -DMACINTEGRATION=false -DQRCICONS=false -DSIMPLEABOUT=false -DTORYCONTACTLISTWIDGET=false -DFLOATIES=false -DMACCONTACTLISTWIDGET=false -DSIMPLEABOUT=false  -DPLUGMAN=false -DNOTIFICATIONSSETTINGS=false -DMAEMO5=true -DJOINCHATDIALOG=false -DCONNECTIONMANAGER=false -DUNITYLAUNCHER=false -DMOBILITY=true -DMULTIMEDIABACKEND=false -DBEARERMANAGER=true -DQUTIM_DEVELOPER_BUILD=false  -DCMAKE_BUILD_TYPE=release -DSCRIPTAPI=false . -L
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/qutim.sgml > qutim.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean  

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	# Add here commands to install the package into debian/qutim.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps --exclude=extra
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
